Delete an entry from a directory

- « ldap_delete

- ldap_dn2ufn »

- PHP Manual
- LDAP Functions
- Delete an entry from a directory

# ldap_delete_ext

(PHP 7 >= 7.3.0, PHP 8)

ldap_delete_ext — Delete an entry from a directory

### Description

ldap_delete_ext(LDAP\Connection `$ldap`, string `$dn`, ?array `$controls` = `null`): LDAP\Result|false

Does the same thing as ldap_delete() but returns an LDAP\Result instance to be parsed with ldap_parse_result().

### Parameters

See ldap_delete()

### Return Values

Returns an LDAP\Result instance, or `false` on failure.

### Changelog

Version | Description
--- | ---
8.1.0 | The `ldap` parameter expects an LDAP\Connection instance now; previously, a valid `ldap link` resource was expected.
8.1.0 | Returns an LDAP\Result instance now; previously, a resource was returned.
8.0.0 | `controls` is nullable now; previously, it defaulted to `[]`.

### See Also

- ldap_delete() - Delete an entry from a directory
- ldap_parse_result() - Extract information from result